Package com.ocient.jdbc.proto

# Enum PlanProtocol.Operator.ErrorType

java.lang.Object
java.lang.Enum<PlanProtocol.Operator.ErrorType>
com.ocient.jdbc.proto.PlanProtocol.Operator.ErrorType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.Operator.ErrorType>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol.Operator

    public static enum PlanProtocol.Operator.ErrorType
    extends Enum<PlanProtocol.Operator.ErrorType>
    implements com.google.protobuf.ProtocolMessageEnum

     used for vm error testing only when TEST_VM_ERROR is defined

Protobuf enum `xg.db.sqlPlans.Operator.ErrorType`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ERR_AP_REQUEST_ERROR` | vm protocol request to AP fails.
`ERR_BEGIN_PULL` | trigger INTERNAL_ERROR on the onBeginPull call.
`ERR_EOF_FAILURE` | triggers error during EOF processing
`ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START` | generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine
`ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE` | generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine
`ERR_INDEX_AGG_GROUP_READ_FAILURE` | `ERR_INDEX_AGG_GROUP_READ_FAILURE = 43;`
`ERR_INIT_DATABLOCK_ERROR` | Fails to initialize a datablock
`ERR_INIT_MULTI_DATABLOCK_ERROR` | Fails to initialize multiple datablocks
`ERR_INITIALIZATION_FAILURE` | generates and error during initialization of an operator
`ERR_INTERNAL_ERROR` | trigger INTERNAL_ERROR for specified partitions
`ERR_INVALID_BRANCH_OFFSET` | Invalid branch offset in plan message header
`ERR_INVALID_DATABLOCK_HDR` | generate mal-formed datablock for specified partitions so that tryLoad fails
`ERR_INVALID_PARTITION` | generate datablocks with invalid partitions for specified partitions
`ERR_INVALID_PARTITION_OFFSET` | Invalid partition offset in plan message header
`ERR_MANIFEST_UNAVAILABLE` | generates error on notifyTktManifestPartitionAvailable()
`ERR_PLAN_COMPILATION_ERROR` | forces an error during plan compilation
`ERR_SEND_ABORT_SIGNAL` | Failure to send ABORT signal downstream
`ERR_SEND_PLAN_DOWNSTREAM` | Failure to send plan downstream
`ERR_SEND_PULL_SIGNAL` | Failure to send PULL signal downstream
`ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE` | generates error during io operator buffer manipulation
`ERR_TKT_ALLOC_OP_BUFFER_FAILURE` | forces OpBuffer allocation failure
`ERR_TKT_AWAIT_FINALIZATION` | forces an error when operator enters AWAIT_FINALIZATION state
`ERR_TKT_DISK_READ_FAILURE` | generates error during io operator disk read
`ERR_TKT_INDEX_CURSOR` | generates error during iteration over index results cursor (lck buffer)
`ERR_TKT_INVALID_MANIFEST` | TKT I/O operator specific errors
`ERR_TKT_OOO_BUFFER_FAILURE` | OOO buffer processing failure
`ERR_TKT_PARTITION_IO_FAILURE` | forces an error in onPartitionIo()
`ERR_TKT_SEGMENT_INDEX` | generates error during io operator doing index searches
`ERR_TKT_WAKE_UP_EVENT_FAILURE` | forces an error while processing Aux WAKE_UP event
`ERR_UNDEFINED` | no error
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `ERR_AP_REQUEST_ERROR_VALUE` | vm protocol request to AP fails.
`static int` | `ERR_BEGIN_PULL_VALUE` | trigger INTERNAL_ERROR on the onBeginPull call.
`static int` | `ERR_EOF_FAILURE_VALUE` | triggers error during EOF processing
`static int` | `ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START_VALUE` | generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine
`static int` | `ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE_VALUE` | generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine
`static int` | `ERR_INDEX_AGG_GROUP_READ_FAILURE_VALUE` | `ERR_INDEX_AGG_GROUP_READ_FAILURE = 43;`
`static int` | `ERR_INIT_DATABLOCK_ERROR_VALUE` | Fails to initialize a datablock
`static int` | `ERR_INIT_MULTI_DATABLOCK_ERROR_VALUE` | Fails to initialize multiple datablocks
`static int` | `ERR_INITIALIZATION_FAILURE_VALUE` | generates and error during initialization of an operator
`static int` | `ERR_INTERNAL_ERROR_VALUE` | trigger INTERNAL_ERROR for specified partitions
`static int` | `ERR_INVALID_BRANCH_OFFSET_VALUE` | Invalid branch offset in plan message header
`static int` | `ERR_INVALID_DATABLOCK_HDR_VALUE` | generate mal-formed datablock for specified partitions so that tryLoad fails
`static int` | `ERR_INVALID_PARTITION_OFFSET_VALUE` | Invalid partition offset in plan message header
`static int` | `ERR_INVALID_PARTITION_VALUE` | generate datablocks with invalid partitions for specified partitions
`static int` | `ERR_MANIFEST_UNAVAILABLE_VALUE` | generates error on notifyTktManifestPartitionAvailable()
`static int` | `ERR_PLAN_COMPILATION_ERROR_VALUE` | forces an error during plan compilation
`static int` | `ERR_SEND_ABORT_SIGNAL_VALUE` | Failure to send ABORT signal downstream
`static int` | `ERR_SEND_PLAN_DOWNSTREAM_VALUE` | Failure to send plan downstream
`static int` | `ERR_SEND_PULL_SIGNAL_VALUE` | Failure to send PULL signal downstream
`static int` | `ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE_VALUE` | generates error during io operator buffer manipulation
`static int` | `ERR_TKT_ALLOC_OP_BUFFER_FAILURE_VALUE` | forces OpBuffer allocation failure
`static int` | `ERR_TKT_AWAIT_FINALIZATION_VALUE` | forces an error when operator enters AWAIT_FINALIZATION state
`static int` | `ERR_TKT_DISK_READ_FAILURE_VALUE` | generates error during io operator disk read
`static int` | `ERR_TKT_INDEX_CURSOR_VALUE` | generates error during iteration over index results cursor (lck buffer)
`static int` | `ERR_TKT_INVALID_MANIFEST_VALUE` | TKT I/O operator specific errors
`static int` | `ERR_TKT_OOO_BUFFER_FAILURE_VALUE` | OOO buffer processing failure
`static int` | `ERR_TKT_PARTITION_IO_FAILURE_VALUE` | forces an error in onPartitionIo()
`static int` | `ERR_TKT_SEGMENT_INDEX_VALUE` | generates error during io operator doing index searches
`static int` | `ERR_TKT_WAKE_UP_EVENT_FAILURE_VALUE` | forces an error while processing Aux WAKE_UP event
`static int` | `ERR_UNDEFINED_VALUE` | no error

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.Operator.ErrorType` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.Operator.ErrorType>` | `internalGetValueMap()` |
`static PlanProtocol.Operator.ErrorType` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.Operator.ErrorType` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.Operator.ErrorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.Operator.ErrorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERR_UNDEFINED

public static final PlanProtocol.Operator.ErrorType ERR_UNDEFINED

    no error

`ERR_UNDEFINED = 0;`

### ERR_INVALID_DATABLOCK_HDR

public static final PlanProtocol.Operator.ErrorType ERR_INVALID_DATABLOCK_HDR

     generate mal-formed datablock for specified partitions so that tryLoad fails

`ERR_INVALID_DATABLOCK_HDR = 1;`

### ERR_INIT_DATABLOCK_ERROR

public static final PlanProtocol.Operator.ErrorType ERR_INIT_DATABLOCK_ERROR

     Fails to initialize a datablock

`ERR_INIT_DATABLOCK_ERROR = 2;`

### ERR_INVALID_PARTITION

public static final PlanProtocol.Operator.ErrorType ERR_INVALID_PARTITION

     generate datablocks with invalid partitions for specified partitions

`ERR_INVALID_PARTITION = 3;`

### ERR_INTERNAL_ERROR

public static final PlanProtocol.Operator.ErrorType ERR_INTERNAL_ERROR

     trigger INTERNAL_ERROR for specified partitions

`ERR_INTERNAL_ERROR = 4;`

### ERR_INIT_MULTI_DATABLOCK_ERROR

public static final PlanProtocol.Operator.ErrorType ERR_INIT_MULTI_DATABLOCK_ERROR

     Fails to initialize multiple datablocks

`ERR_INIT_MULTI_DATABLOCK_ERROR = 5;`

### ERR_BEGIN_PULL

public static final PlanProtocol.Operator.ErrorType ERR_BEGIN_PULL

     trigger INTERNAL_ERROR on the onBeginPull call.

`ERR_BEGIN_PULL = 6;`

### ERR_PLAN_COMPILATION_ERROR

public static final PlanProtocol.Operator.ErrorType ERR_PLAN_COMPILATION_ERROR

    forces an error during plan compilation

`ERR_PLAN_COMPILATION_ERROR = 7;`

### ERR_EOF_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_EOF_FAILURE

     triggers  error during EOF processing

`ERR_EOF_FAILURE = 8;`

### ERR_INVALID_PARTITION_OFFSET

public static final PlanProtocol.Operator.ErrorType ERR_INVALID_PARTITION_OFFSET

     Invalid partition offset in plan message header

`ERR_INVALID_PARTITION_OFFSET = 9;`

### ERR_INVALID_BRANCH_OFFSET

public static final PlanProtocol.Operator.ErrorType ERR_INVALID_BRANCH_OFFSET

     Invalid branch offset in plan message header

`ERR_INVALID_BRANCH_OFFSET = 10;`

### ERR_SEND_PLAN_DOWNSTREAM

public static final PlanProtocol.Operator.ErrorType ERR_SEND_PLAN_DOWNSTREAM

     Failure to send plan downstream

`ERR_SEND_PLAN_DOWNSTREAM = 11;`

### ERR_SEND_PULL_SIGNAL

public static final PlanProtocol.Operator.ErrorType ERR_SEND_PULL_SIGNAL

     Failure to send PULL signal downstream

`ERR_SEND_PULL_SIGNAL = 12;`

### ERR_SEND_ABORT_SIGNAL

public static final PlanProtocol.Operator.ErrorType ERR_SEND_ABORT_SIGNAL

     Failure to send ABORT signal downstream

`ERR_SEND_ABORT_SIGNAL = 13;`

### ERR_INITIALIZATION_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_INITIALIZATION_FAILURE

     generates and error during initialization of an operator

`ERR_INITIALIZATION_FAILURE = 14;`

### ERR_AP_REQUEST_ERROR

public static final PlanProtocol.Operator.ErrorType ERR_AP_REQUEST_ERROR

    vm protocol request to AP fails. used for GDC table request from gdc operator

`ERR_AP_REQUEST_ERROR = 15;`

### ERR_TKT_INVALID_MANIFEST

public static final PlanProtocol.Operator.ErrorType ERR_TKT_INVALID_MANIFEST

     TKT I/O operator specific errors

`ERR_TKT_INVALID_MANIFEST = 30;`

### ERR_TKT_PARTITION_IO_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_TKT_PARTITION_IO_FAILURE

     forces an error in onPartitionIo()

`ERR_TKT_PARTITION_IO_FAILURE = 31;`

### ERR_TKT_AWAIT_FINALIZATION

public static final PlanProtocol.Operator.ErrorType ERR_TKT_AWAIT_FINALIZATION

     forces an error when operator enters AWAIT_FINALIZATION state

`ERR_TKT_AWAIT_FINALIZATION = 32;`

### ERR_TKT_ALLOC_OP_BUFFER_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_TKT_ALLOC_OP_BUFFER_FAILURE

     forces OpBuffer allocation failure

`ERR_TKT_ALLOC_OP_BUFFER_FAILURE = 33;`

### ERR_TKT_WAKE_UP_EVENT_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_TKT_WAKE_UP_EVENT_FAILURE

     forces an error while processing Aux WAKE_UP event

`ERR_TKT_WAKE_UP_EVENT_FAILURE = 34;`

### ERR_TKT_DISK_READ_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_TKT_DISK_READ_FAILURE

     generates error during io operator disk read

`ERR_TKT_DISK_READ_FAILURE = 35;`

### ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE

     generates error during io operator buffer manipulation

`ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE = 36;`

### ERR_TKT_OOO_BUFFER_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_TKT_OOO_BUFFER_FAILURE

     OOO buffer processing failure

`ERR_TKT_OOO_BUFFER_FAILURE = 37;`

### ERR_TKT_SEGMENT_INDEX

public static final PlanProtocol.Operator.ErrorType ERR_TKT_SEGMENT_INDEX

     generates error during io operator doing index searches

`ERR_TKT_SEGMENT_INDEX = 38;`

### ERR_TKT_INDEX_CURSOR

public static final PlanProtocol.Operator.ErrorType ERR_TKT_INDEX_CURSOR

     generates error during iteration over index results cursor (lck buffer)

`ERR_TKT_INDEX_CURSOR = 39;`

### ERR_MANIFEST_UNAVAILABLE

public static final PlanProtocol.Operator.ErrorType ERR_MANIFEST_UNAVAILABLE

     generates error on notifyTktManifestPartitionAvailable()

`ERR_MANIFEST_UNAVAILABLE = 40;`

### ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE

     generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine

`ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE = 41;`

### ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START

public static final PlanProtocol.Operator.ErrorType ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START

     generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine

`ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START = 42;`

### ERR_INDEX_AGG_GROUP_READ_FAILURE

public static final PlanProtocol.Operator.ErrorType ERR_INDEX_AGG_GROUP_READ_FAILURE
`ERR_INDEX_AGG_GROUP_READ_FAILURE = 43;`

### UNRECOGNIZED

public static final PlanProtocol.Operator.ErrorType UNRECOGNIZED

## Field Details

### ERR_UNDEFINED_VALUE

public static final int ERR_UNDEFINED_VALUE

    no error

`ERR_UNDEFINED = 0;`

See Also:
  Constant Field Values

### ERR_INVALID_DATABLOCK_HDR_VALUE

public static final int ERR_INVALID_DATABLOCK_HDR_VALUE

     generate mal-formed datablock for specified partitions so that tryLoad fails

`ERR_INVALID_DATABLOCK_HDR = 1;`

See Also:
  Constant Field Values

### ERR_INIT_DATABLOCK_ERROR_VALUE

public static final int ERR_INIT_DATABLOCK_ERROR_VALUE

     Fails to initialize a datablock

`ERR_INIT_DATABLOCK_ERROR = 2;`

See Also:
  Constant Field Values

### ERR_INVALID_PARTITION_VALUE

public static final int ERR_INVALID_PARTITION_VALUE

     generate datablocks with invalid partitions for specified partitions

`ERR_INVALID_PARTITION = 3;`

See Also:
  Constant Field Values

### ERR_INTERNAL_ERROR_VALUE

public static final int ERR_INTERNAL_ERROR_VALUE

     trigger INTERNAL_ERROR for specified partitions

`ERR_INTERNAL_ERROR = 4;`

See Also:
  Constant Field Values

### ERR_INIT_MULTI_DATABLOCK_ERROR_VALUE

public static final int ERR_INIT_MULTI_DATABLOCK_ERROR_VALUE

     Fails to initialize multiple datablocks

`ERR_INIT_MULTI_DATABLOCK_ERROR = 5;`

See Also:
  Constant Field Values

### ERR_BEGIN_PULL_VALUE

public static final int ERR_BEGIN_PULL_VALUE

     trigger INTERNAL_ERROR on the onBeginPull call.

`ERR_BEGIN_PULL = 6;`

See Also:
  Constant Field Values

### ERR_PLAN_COMPILATION_ERROR_VALUE

public static final int ERR_PLAN_COMPILATION_ERROR_VALUE

    forces an error during plan compilation

`ERR_PLAN_COMPILATION_ERROR = 7;`

See Also:
  Constant Field Values

### ERR_EOF_FAILURE_VALUE

public static final int ERR_EOF_FAILURE_VALUE

     triggers  error during EOF processing

`ERR_EOF_FAILURE = 8;`

See Also:
  Constant Field Values

### ERR_INVALID_PARTITION_OFFSET_VALUE

public static final int ERR_INVALID_PARTITION_OFFSET_VALUE

     Invalid partition offset in plan message header

`ERR_INVALID_PARTITION_OFFSET = 9;`

See Also:
  Constant Field Values

### ERR_INVALID_BRANCH_OFFSET_VALUE

public static final int ERR_INVALID_BRANCH_OFFSET_VALUE

     Invalid branch offset in plan message header

`ERR_INVALID_BRANCH_OFFSET = 10;`

See Also:
  Constant Field Values

### ERR_SEND_PLAN_DOWNSTREAM_VALUE

public static final int ERR_SEND_PLAN_DOWNSTREAM_VALUE

     Failure to send plan downstream

`ERR_SEND_PLAN_DOWNSTREAM = 11;`

See Also:
  Constant Field Values

### ERR_SEND_PULL_SIGNAL_VALUE

public static final int ERR_SEND_PULL_SIGNAL_VALUE

     Failure to send PULL signal downstream

`ERR_SEND_PULL_SIGNAL = 12;`

See Also:
  Constant Field Values

### ERR_SEND_ABORT_SIGNAL_VALUE

public static final int ERR_SEND_ABORT_SIGNAL_VALUE

     Failure to send ABORT signal downstream

`ERR_SEND_ABORT_SIGNAL = 13;`

See Also:
  Constant Field Values

### ERR_INITIALIZATION_FAILURE_VALUE

public static final int ERR_INITIALIZATION_FAILURE_VALUE

     generates and error during initialization of an operator

`ERR_INITIALIZATION_FAILURE = 14;`

See Also:
  Constant Field Values

### ERR_AP_REQUEST_ERROR_VALUE

public static final int ERR_AP_REQUEST_ERROR_VALUE

    vm protocol request to AP fails. used for GDC table request from gdc operator

`ERR_AP_REQUEST_ERROR = 15;`

See Also:
  Constant Field Values

### ERR_TKT_INVALID_MANIFEST_VALUE

public static final int ERR_TKT_INVALID_MANIFEST_VALUE

     TKT I/O operator specific errors

`ERR_TKT_INVALID_MANIFEST = 30;`

See Also:
  Constant Field Values

### ERR_TKT_PARTITION_IO_FAILURE_VALUE

public static final int ERR_TKT_PARTITION_IO_FAILURE_VALUE

     forces an error in onPartitionIo()

`ERR_TKT_PARTITION_IO_FAILURE = 31;`

See Also:
  Constant Field Values

### ERR_TKT_AWAIT_FINALIZATION_VALUE

public static final int ERR_TKT_AWAIT_FINALIZATION_VALUE

     forces an error when operator enters AWAIT_FINALIZATION state

`ERR_TKT_AWAIT_FINALIZATION = 32;`

See Also:
  Constant Field Values

### ERR_TKT_ALLOC_OP_BUFFER_FAILURE_VALUE

public static final int ERR_TKT_ALLOC_OP_BUFFER_FAILURE_VALUE

     forces OpBuffer allocation failure

`ERR_TKT_ALLOC_OP_BUFFER_FAILURE = 33;`

See Also:
  Constant Field Values

### ERR_TKT_WAKE_UP_EVENT_FAILURE_VALUE

public static final int ERR_TKT_WAKE_UP_EVENT_FAILURE_VALUE

     forces an error while processing Aux WAKE_UP event

`ERR_TKT_WAKE_UP_EVENT_FAILURE = 34;`

See Also:
  Constant Field Values

### ERR_TKT_DISK_READ_FAILURE_VALUE

public static final int ERR_TKT_DISK_READ_FAILURE_VALUE

     generates error during io operator disk read

`ERR_TKT_DISK_READ_FAILURE = 35;`

See Also:
  Constant Field Values

### ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE_VALUE

public static final int ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE_VALUE

     generates error during io operator buffer manipulation

`ERR_TKT_ADD_BUFFER_TO_BLOCK_FAILURE = 36;`

See Also:
  Constant Field Values

### ERR_TKT_OOO_BUFFER_FAILURE_VALUE

public static final int ERR_TKT_OOO_BUFFER_FAILURE_VALUE

     OOO buffer processing failure

`ERR_TKT_OOO_BUFFER_FAILURE = 37;`

See Also:
  Constant Field Values

### ERR_TKT_SEGMENT_INDEX_VALUE

public static final int ERR_TKT_SEGMENT_INDEX_VALUE

     generates error during io operator doing index searches

`ERR_TKT_SEGMENT_INDEX = 38;`

See Also:
  Constant Field Values

### ERR_TKT_INDEX_CURSOR_VALUE

public static final int ERR_TKT_INDEX_CURSOR_VALUE

     generates error during iteration over index results cursor (lck buffer)

`ERR_TKT_INDEX_CURSOR = 39;`

See Also:
  Constant Field Values

### ERR_MANIFEST_UNAVAILABLE_VALUE

public static final int ERR_MANIFEST_UNAVAILABLE_VALUE

     generates error on notifyTktManifestPartitionAvailable()

`ERR_MANIFEST_UNAVAILABLE = 40;`

See Also:
  Constant Field Values

### ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE_VALUE

public static final int ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE_VALUE

     generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine

`ERR_INDEX_AGG_GROUP_PROCESSING_SEARCH_FAILURE = 41;`

See Also:
  Constant Field Values

### ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START_VALUE

public static final int ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START_VALUE

     generates error on indexAggregationGroupIOOperatorInstance_t::executeGroupProcessingStateMachine

`ERR_INDEX_AGG_GROUP_PROCESSING_BLOCK_START = 42;`

See Also:
  Constant Field Values

### ERR_INDEX_AGG_GROUP_READ_FAILURE_VALUE

public static final int ERR_INDEX_AGG_GROUP_READ_FAILURE_VALUE
`ERR_INDEX_AGG_GROUP_READ_FAILURE = 43;`

See Also:
  Constant Field Values

## Method Details

### values

public static PlanProtocol.Operator.ErrorType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.Operator.ErrorType valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static PlanProtocol.Operator.ErrorType valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.Operator.ErrorType forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.Operator.ErrorType> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static PlanProtocol.Operator.ErrorType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null